#!/bin/bash -x

DEST=`pwd`/.destino
ORIG=`pwd`/.origen
PINCHO="$1"
PARTITION="$2"
PARTITION2=$PINCHO"2"
PARTITION3=$PINCHO"3"
PARTITION4=$PINCHO"4"
# eliminamos cualquier rastro de sistema de archivos, tabla de particiones del dispositivo dado.
wipefs --all $PINCHO;dd if=/dev/zero of=$PINCHO bs=1024 count=1024;gdisk $PINCHO << EOF
o
y
n


+1M
EF02
n


+50M
EF00
n


+500M
0700
n



0700
w
y
EOF

gdisk $PINCHO << EOF
r
h
1 2 3 4
n
EF02
n
EF00
n
0700
n
0700
y
w
y
EOF

if [ -f $ORIG/version ]
then
	LABEL=`head -1 $ORIG/version | sed -e 's/\ /\_/g'`
else
	LABEL="DATA"
fi

mkdir $DEST/efi
mkdir $DEST/data
mkdir $DEST/ISO
mkfs.fat -F32 -n GRUB2EFI $PARTITION2
mkfs.fat -F32 -n $LABEL $PARTITION3
mkntfs -Q -v -L ISO $PARTITION4
mount $PARTITION2 $DEST/efi
mount $PARTITION3 $DEST/data
mount $PARTITION4 $DEST/ISO
grub-install --target=x86_64-efi --efi-directory=$DEST/efi --boot-directory=$DEST/data/bootefi --removable --recheck
grub-install --target=i386-pc --recheck --boot-directory=$DEST/data/boot $PINCHO

exit 0
